%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-generic-pool
Version:    2.0.3
Release:    2%{?dist}
Summary:    Generic resource pooling for Node.js
# License text is included in README.md.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/coopernurse/node-pool
Source0:    http://registry.npmjs.org/generic-pool/-/generic-pool-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/generic-pool
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/generic-pool

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/expresso/bin/expresso -I lib test/*.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/generic-pool


%changelog
* Mon Jul 08 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.3-2
- restrict to compatible arches

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.3-1
- initial package
